multistate-0.8.0.4: like mtl's ReaderT / WriterT / StateT, but more than one contained value/type.

Safe Haskell | Safe-Inferred
Language | Haskell2010

Data.HList.ContainsType

Description

Class to provide type-driven access to elements of a HList

Synopsis

- class ContainsType a (c :: [Type]) where
  - setHListElem :: a -> HList c -> HList c
  - getHListElem :: HList c -> a

# Documentation

class ContainsType a (c :: [Type]) where Source #

for get/put of a value in a HList, with type-directed lookup.

Methods

setHListElem :: a -> HList c -> HList c Source #

getHListElem :: HList c -> a Source #

#### Instances

Instances details

ContainsType a (a ': xs) Source # |
Instance details Defined in Data.HList.ContainsType Methods setHListElem :: a -> HList (a ': xs) -> HList (a ': xs) Source # getHListElem :: HList (a ': xs) -> a Source #
ContainsType a xs => ContainsType a (x ': xs) Source # |
Instance details Defined in Data.HList.ContainsType Methods setHListElem :: a -> HList (x ': xs) -> HList (x ': xs) Source # getHListElem :: HList (x ': xs) -> a Source #